Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.factory
Interface MenuFactory

All Superinterfaces:
  Factory

All Known Implementing Classes:
  DefaultMenuFactory

    public interface MenuFactory

extends Factory

Defines factory methods that the library will use when creating menus.

See Also:
  `ButtonFactory`, `ToolbarFactory`, `DefaultButtonFactory`, `Defaults.setMenuFactory(com.pietschy.command.factory.MenuFactory)`

Method Summary
`javax.swing.JCheckBoxMenuItem` | `createCheckBoxMenuItem()` Creates a new `JCheckBoxMenuItem`.
`javax.swing.JMenu` | `createMenu()` Creates a new `JMenu`.
`javax.swing.JMenuBar` | `createMenuBar()` Creates a new `JMenuBar`.
`javax.swing.JMenuItem` | `createMenuItem()` Creates a new `JMenuItem`.
`javax.swing.JPopupMenu` | `createPopupMenu()` Creates a new `JPopupMenu`.
`javax.swing.JRadioButtonMenuItem` | `createRadioButtonMenuItem()` Creates a new `JRadioButtonMenuItem`.

Method Detail

### createMenu

    javax.swing.JMenu createMenu()

  Creates a new `JMenu`.

  Returns:
    a new `JMenu`.

### createMenuItem

    javax.swing.JMenuItem createMenuItem()

  Creates a new `JMenuItem`.

  Returns:
    a new `JMenuItem`.

### createCheckBoxMenuItem

    javax.swing.JCheckBoxMenuItem createCheckBoxMenuItem()

  Creates a new `JCheckBoxMenuItem`.

  Returns:
    a new `JCheckBoxMenuItem`.

### createRadioButtonMenuItem

    javax.swing.JRadioButtonMenuItem createRadioButtonMenuItem()

  Creates a new `JRadioButtonMenuItem`.

  Returns:
    a new `JRadioButtonMenuItem`.

### createPopupMenu

    javax.swing.JPopupMenu createPopupMenu()

  Creates a new `JPopupMenu`.

  Returns:
    a new `JPopupMenu`.

### createMenuBar

    javax.swing.JMenuBar createMenuBar()

  Creates a new `JMenuBar`.

  Returns:
    a new `JMenuBar`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch